Bug 200656 - [DD] Unable to create full remote project
[DD] Unable to create full remote project
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.0
All All
: P2 (vote)
: 7.0.1
Assigned To: Alexander Simon
issues@cnd
CR_7056873, 701patch1-verified
:
Depends on:
Blocks: 203507
  Show dependency treegraph
 
Reported: 2011-08-04 07:13 UTC by Vladimir Kvashin
Modified: 2011-10-12 10:25 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2011-08-04 07:13:15 UTC
[From CR 7056873]
In Desktop Distro it is nearly impossible to create a new [full-remote] project at remote host. Projects from binaries are available, but it is difficult to find this functionality in IDE. All other types including samples are not available.
Comment 1 Alexander Simon 2011-08-05 10:31:35 UTC
fixing, change set:
http://hg.netbeans.org/cnd-main/rev/618e02e196df
- added friend
- implement methods for OSS for creating remote projects
Comment 2 Alexander Simon 2011-08-09 13:09:19 UTC
Infrastructure changes were done.
Some classes were changed.
NB actions that can be affected by changes:
- create sample projects
- create template projects (for example Application)
Comment 3 Alexander Simon 2011-08-15 10:01:46 UTC
fix transplanted in release701_fixes on elif:
618e02e196df transplanted to 44490ec588c0
Comment 4 Alexander Simon 2011-08-18 10:24:02 UTC
additional fix:
http://hg.netbeans.org/cnd-main/rev/ab35a58ad41b

transplanted in release701_fixes on elif:
ab35a58ad41b transplanted to 5f9f42d8a0ae
Comment 5 Alexander Pepin 2011-08-18 15:45:46 UTC
verified in OSS IDE build #28
Comment 6 Alexander Simon 2011-08-23 08:29:52 UTC
additional fix:
http://hg.netbeans.org/cnd-main/rev/845bced1e808
- added needed friends

fix integrated in relise701_fixes on elif:
http://elif.russia.sun.com/hg/releases_elif/rev/bc7b1ec45bb8
Comment 7 Alexander Simon 2011-08-24 11:39:21 UTC
integrated in release701_fixes:
44490ec588c0 transplanted to 9171b9940502
5f9f42d8a0ae transplanted to ec3548af60fc
bc7b1ec45bb8 transplanted to 2e66638031e9
Comment 8 Alexander Pepin 2011-08-29 16:18:19 UTC
verified in 7.0.1 patch1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo